import java.util.Map;

import dk.vajhoej.isam.map.IsamMap;

public class Map1 {
	private static void dump(Map<Integer,Data1> m) {
        for(int i = 1; i <= 110; i++) {
        	if(i % 10 == 0) {
        		if(m.get(i) != null) {
        			System.out.printf("%d = |%s|\n", m.get(i).getId(), m.get(i).getVal());
        		}
        	}
        }
        for(int k : m.keySet()) {
            if(k % 10 == 0) {
                System.out.printf("%d\n", k);
            }
        }
        for(Data1 v : m.values()) {
            if(v.getId() % 10 == 0) {
                System.out.printf("%d\n", v.getId());
            }
        }
        for(Map.Entry<Integer,Data1> e : m.entrySet()) {
            if(e.getKey() % 10 == 0) {
        		System.out.printf("%d = |%s|\n", e.getKey(), e.getValue().getVal());
            }
        }
	}
    public static void main(String[] args) throws Exception {
        Map<Integer,Data1> m = IsamMap.createIsamMapRMS("data1.isq", Data1.class);
        dump(m);
        Data1 o = new Data1();
        o.setId(110);
        o.setVal("Java");
        m.put(o.getId(), o);
        dump(m);
        Data1 o2 = m.get(110);
        o2.setVal(o2.getVal() + "<----");
        m.put(o2.getId(), o2);
        dump(m);
        m.remove(110);
        dump(m);
    }
}
